Bug 857541 - [abrt] gedit-3.4.2-1.fc17: g_type_check_instance_cast: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.4.2-1.fc17: g_type_check_instance_cast: Process /usr/bin/gedit...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:9ba78d42aa2ad5fb93338f30d58...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 15:06 EDT by Tobias Mueller
Modified: 2013-08-01 06:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:25:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (3.95 KB, text/plain)
2012-09-14 15:07 EDT, Tobias Mueller
no flags Details
File: environ (1.91 KB, text/plain)
2012-09-14 15:07 EDT, Tobias Mueller
no flags Details
File: backtrace (35.96 KB, text/plain)
2012-09-14 15:07 EDT, Tobias Mueller
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-14 15:07 EDT, Tobias Mueller
no flags Details
File: cgroup (129 bytes, text/plain)
2012-09-14 15:07 EDT, Tobias Mueller
no flags Details
File: maps (64.20 KB, text/plain)
2012-09-14 15:07 EDT, Tobias Mueller
no flags Details
File: dso_list (12.85 KB, text/plain)
2012-09-14 15:07 EDT, Tobias Mueller
no flags Details
File: var_log_messages (329 bytes, text/plain)
2012-09-14 15:07 EDT, Tobias Mueller
no flags Details
File: open_fds (998 bytes, text/plain)
2012-09-14 15:07 EDT, Tobias Mueller
no flags Details

  None (edit)
Description Tobias Mueller 2012-09-14 15:06:58 EDT
Description of problem:
I think a crashing gnome-settings-daemon caused gedit to crash. cf. bug 811902

Version-Release number of selected component:
gedit-3.4.2-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        gedit /tmp/DCIM/20120722_012-20120722_016.pointless.pto
crash_function: g_type_check_instance_cast
kernel:         3.5.3-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 g_type_check_instance_cast at gtype.c
: #1 update_column_sizes at gtksourcecompletion.c
: #6 style_context_changed at gtkwidget.c
: #7 _g_closure_invoke_va at gclosure.c
: #10 gtk_style_context_invalidate at gtkstylecontext.c
: #11 gtk_widget_get_path at gtkwidget.c
: #12 _gtk_widget_update_path at gtkwidget.c
: #13 reset_style_recurse at gtkwidget.c
: #14 gtk_scrolled_window_forall at gtkscrolledwindow.c
: #15 gtk_grid_forall at gtkgrid.c
Comment 1 Tobias Mueller 2012-09-14 15:07:01 EDT
Created attachment 612951 [details]
File: core_backtrace
Comment 2 Tobias Mueller 2012-09-14 15:07:02 EDT
Created attachment 612952 [details]
File: environ
Comment 3 Tobias Mueller 2012-09-14 15:07:05 EDT
Created attachment 612953 [details]
File: backtrace
Comment 4 Tobias Mueller 2012-09-14 15:07:07 EDT
Created attachment 612954 [details]
File: limits
Comment 5 Tobias Mueller 2012-09-14 15:07:09 EDT
Created attachment 612955 [details]
File: cgroup
Comment 6 Tobias Mueller 2012-09-14 15:07:12 EDT
Created attachment 612956 [details]
File: maps
Comment 7 Tobias Mueller 2012-09-14 15:07:14 EDT
Created attachment 612957 [details]
File: dso_list
Comment 8 Tobias Mueller 2012-09-14 15:07:16 EDT
Created attachment 612958 [details]
File: var_log_messages
Comment 9 Tobias Mueller 2012-09-14 15:07:18 EDT
Created attachment 612959 [details]
File: open_fds
Comment 10 Fedora End Of Life 2013-07-03 23:11:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-08-01 06:25:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.